Page MenuHomePhabricator

Blueprint/LSG Table of Contents should be configurable on-wiki, like MediaWiki:Sidebar
Closed, ResolvedPublic

Description

Blueprint.php hardcodes the set of pages that display in the Blueprint skin's nifty pop-up TOC. That's inflexible and prevents reuse outside of the #LivingStyleGuide.

Instead a message string should drive it, just like the sidebar in other skins. I think Blueprint can reuse PHP skin code like Skin->buildSidebar() or BaseTemplate->getSidebar() to parse a similar structure to MediaWiki:Sidebar.

Since Blueprint will only be in use in certain namespaces on mediawiki.org, it might be more flexible it to try the message key blueprint-namespacenum-sidebar before falling back to blueprint-sidebar.

Related Objects

StatusAssignedTask
ResolvedVolker_E
ResolvedNone
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
DeclinedNone
Resolved Spage
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedPrtksxna
ResolvedPrtksxna
ResolvedPrtksxna
Resolved Spage
ResolvedJdlrobson
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedQgil
ResolvedVolker_E
Resolved violetto
ResolvedVolker_E
ResolvedVolker_E
DeclinedNone
ResolvedNone
ResolvedVolker_E
DeclinedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedPastakhov
ResolvedNone
ResolvedPastakhov
ResolvedNone
ResolvedVolker_E
ResolvedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a project: Blueprint.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2015, 1:11 AM
Spage updated the task description. (Show Details)May 20 2015, 11:39 PM
Spage set Security to None.

This is a problem for T101441: Goal: Integrate the new Web APIs hub with mediawiki.org only if Wikimedia Design Style Guide aims to be deployed in mediawiki.org at the same time, right? (T93610) Otherwise it would be used only for #dev.wikimedia.org and we could hardcoded in the way that pleases us.

I mean, the right solution is to solve this task and make the ToC configurable, but if this best scenario is not feasible we still have feasible alternatives to avoid this task blocking T101441.

This is a problem for T101441: Goal: Integrate the new Web APIs hub with mediawiki.org only if Wikimedia Design Style Guide aims to be deployed in mediawiki.org at the same time, right? (T93610) Otherwise it would be used only for #dev.wikimedia.org and we could hardcoded in the way that pleases us.

Yes. git master would have the TOC for the Data and developer hub, and http://living-style-guide.wmflabs.org/ would maintain a local branch with its TOC. If we did T93610: Put WikimediaUI Style Guide on mediawiki.org then we'd have to figure out how to configure two Blueprint TOCs on one wiki.

BTW, PHP is building a sidebar even if Blueprint doesn't use it:

#2  Skin->buildSidebar() called at [/home/spage/projects/core/includes/skins/SkinTemplate.php:447]

Change 205217 had a related patch set uploaded (by Prtksxna):
Clean up blueprint left nav

https://gerrit.wikimedia.org/r/205217

Change 205217 merged by jenkins-bot:
Clean up blueprint left nav

https://gerrit.wikimedia.org/r/205217

Prtksxna closed this task as Resolved.Jul 1 2015, 10:19 AM
Prtksxna claimed this task.
Prtksxna added a subscriber: werdna.

@werdna had fixed this for the LSG, see Mediawiki:Blueprint-left-nav, but the code never made it to master. Rebased to incorporate @Spage's changes and merged.

Prtksxna moved this task from Backlog to Done on the Blueprint board.Jul 3 2015, 4:44 AM
Volker_E triaged this task as Low priority.May 20 2017, 1:07 AM